# Preparation 

**ID**: RS0001

Get prepared for a security incident.
## Response Actions

| ID    | Name     | Description |
|:-----:|:--------:|-------------|
| [RA1001](../Response_Actions/RA_1001_practice.md) | [Practice](../Response_Actions/RA_1001_practice.md) | Practice in the real environment. Sharpen Response Actions within your organization |
| [RA1002](../Response_Actions/RA_1002_take_trainings.md) | [Take trainings](../Response_Actions/RA_1002_take_trainings.md) | Take training courses to gain relevant knowledge |
| [RA1003](../Response_Actions/RA_1003_raise_personnel_awareness.md) | [Raise personnel awareness](../Response_Actions/RA_1003_raise_personnel_awareness.md) | Raise personnel awareness regarding phishing, ransomware, social engineering,  and other attacks that involve user interaction |
| [RA1004](../Response_Actions/RA_1004_make_personnel_report_suspicious_activity.md) | [Make personnel report suspicious activity](../Response_Actions/RA_1004_make_personnel_report_suspicious_activity.md) | Make sure that personnel will report suspicious activity i.e. suspicious emails,  links, files, activity on their computers, etc |
| [RA1005](../Response_Actions/RA_1005_set_up_relevant_data_collection.md) | [Set up relevant data collection](../Response_Actions/RA_1005_set_up_relevant_data_collection.md) | Usually, data collection is managed by Log Management/Security Monitoring/Threat Detection teams.  You need to provide them with a list of data that is critically important for IR process. Most of  the time, data like DNS and DHCP logs are not being collected, as their value for detection is  relatively low. You can refer to the existing Response Actions (Preparation stage) to develop the list |
| [RA1006](../Response_Actions/RA_1006_set_up_a_centralized_long-term_log_storage.md) | [Set up a centralized long-term log storage](../Response_Actions/RA_1006_set_up_a_centralized_long-term_log_storage.md) | Set up a centralized long-term log storage. This is one of the most critical problems companies have nowadays. Even if there is such a system, in most of the cases it stores irrelevant data or has too small retention period |
| [RA1007](../Response_Actions/RA_1007_develop_communication_map.md) | [Develop communication map](../Response_Actions/RA_1007_develop_communication_map.md) | Develop a communication map for both internal (C-level, managers and technical specialists from the other departments, that could be involved in IR process) and external communications (law enforcement, national CERTs, subject matter experts that you have lack of, etc) |
| [RA1008](../Response_Actions/RA_1008_make_sure_there_are_backups.md) | [Make sure there are backups](../Response_Actions/RA_1008_make_sure_there_are_backups.md) | Make sure there are both online and offline backups. Make sure they are fully operational. In the case of a successful ransomware worm attack, thats the only thing that will help you to safe your critically important data |
| [RA1009](../Response_Actions/RA_1009_get_network_architecture_map.md) | [Get network architecture map](../Response_Actions/RA_1009_get_network_architecture_map.md) | Get network architecture map. Usually, its managed by the Network security team. It will help you to choose the containment strategy, such as isolating specific network segments |
| [RA1010](../Response_Actions/RA_1010_get_access_control_matrix.md) | [Get access control matrix](../Response_Actions/RA_1010_get_access_control_matrix.md) | Get Access Control Matrix. Usually, its managed by the Network security team. It will help you to identify adversary opportunities, such as laterally movement and so on |
| [RA1011](../Response_Actions/RA_1011_develop_assets_knowledge_base.md) | [Develop assets knowledge base](../Response_Actions/RA_1011_develop_assets_knowledge_base.md) | Develop assets knowledge base. It will help you to compare observed activity with a normal activity profile for a specific host, user or network segment |
| [RA1012](../Response_Actions/RA_1012_check_analysis_toolset.md) | [Check analysis toolset](../Response_Actions/RA_1012_check_analysis_toolset.md) | Make sure your toolset for analysis and management is updated and fully operational. Make sure that all the required permissions have been granted as well |
| [RA1013](../Response_Actions/RA_1013_access_vulnerability_management_system_logs.md) | [Access vulnerability management system logs](../Response_Actions/RA_1013_access_vulnerability_management_system_logs.md) | Access vulnerability management system logs. It will help to identify the vulnerabilities a specific host had at a specific time in the past |
| [RA1014](../Response_Actions/RA_1014_connect_with_trusted_communities.md) | [Connect with trusted communities](../Response_Actions/RA_1014_connect_with_trusted_communities.md) | Connect with trusted communities for information exchange |
| [RA1101](../Response_Actions/RA_1101_access_external_network_flow_logs.md) | [Access external network flow logs](../Response_Actions/RA_1101_access_external_network_flow_logs.md) | Make sure you have access to external communication Network Flow logs |
| [RA1102](../Response_Actions/RA_1102_access_internal_network_flow_logs.md) | [Access internal network flow logs](../Response_Actions/RA_1102_access_internal_network_flow_logs.md) | Make sure you have access to internal communication Network Flow logs |
| [RA1103](../Response_Actions/RA_1103_access_internal_http_logs.md) | [Access internal HTTP logs](../Response_Actions/RA_1103_access_internal_http_logs.md) | Make sure you have access to internal communication HTTP logs |
| [RA1104](../Response_Actions/RA_1104_access_external_http_logs.md) | [Access external HTTP logs](../Response_Actions/RA_1104_access_external_http_logs.md) | Make sure you have access to external communication HTTP logs |
| [RA1105](../Response_Actions/RA_1105_access_internal_dns_logs.md) | [Access internal DNS logs](../Response_Actions/RA_1105_access_internal_dns_logs.md) | Make sure you have access to internal communication DNS logs |
| [RA1106](../Response_Actions/RA_1106_access_external_dns_logs.md) | [Access external DNS logs](../Response_Actions/RA_1106_access_external_dns_logs.md) | Make sure you have access to external communication DNS logs |
| [RA1107](../Response_Actions/RA_1107_access_vpn_logs.md) | [Access VPN logs](../Response_Actions/RA_1107_access_vpn_logs.md) | Make sure you have access to VPN logs |
| [RA1108](../Response_Actions/RA_1108_access_dhcp_logs.md) | [Access DHCP logs](../Response_Actions/RA_1108_access_dhcp_logs.md) | Make sure you have access to DHCP logs |
| [RA1109](../Response_Actions/RA_1109_access_internal_packet_capture_data.md) | [Access internal packet capture data](../Response_Actions/RA_1109_access_internal_packet_capture_data.md) | Make sure you have access to internal communication Packet Capture data |
| [RA1110](../Response_Actions/RA_1110_access_external_packet_capture_data.md) | [Access external packet capture data](../Response_Actions/RA_1110_access_external_packet_capture_data.md) | Make sure you have access to external communication Packet Capture data |
| [RA1111](../Response_Actions/RA_1111_get_ability_to_block_external_ip_address.md) | [Get ability to block external IP address](../Response_Actions/RA_1111_get_ability_to_block_external_ip_address.md) | Make sure you have the ability to block an external IP address from being accessed by corporate assets |
| [RA1112](../Response_Actions/RA_1112_get_ability_to_block_internal_ip_address.md) | [Get ability to block internal IP address](../Response_Actions/RA_1112_get_ability_to_block_internal_ip_address.md) | Make sure you can block an internal IP address from being accessed by corporate assets |
| [RA1113](../Response_Actions/RA_1113_get_ability_to_block_external_domain.md) | [Get ability to block external domain](../Response_Actions/RA_1113_get_ability_to_block_external_domain.md) | Make sure you have the ability to block an external domain name from being accessed by corporate assets |
| [RA1114](../Response_Actions/RA_1114_get_ability_to_block_internal_domain.md) | [Get ability to block internal domain](../Response_Actions/RA_1114_get_ability_to_block_internal_domain.md) | Make sure you can block an internal domain name from being accessed by corporate assets |
| [RA1115](../Response_Actions/RA_1115_get_ability_to_block_external_url.md) | [Get ability to block external URL](../Response_Actions/RA_1115_get_ability_to_block_external_url.md) | Make sure you have the ability to block an external URL from being accessed by corporate assets |
| [RA1116](../Response_Actions/RA_1116_get_ability_to_block_internal_url.md) | [Get ability to block internal URL](../Response_Actions/RA_1116_get_ability_to_block_internal_url.md) | Make sure you can block an internal URL from being accessed by corporate assets |
| [RA1117](../Response_Actions/RA_1117_get_ability_to_block_port_external_communication.md) | [Get ability to block port external communication](../Response_Actions/RA_1117_get_ability_to_block_port_external_communication.md) | Make sure you can block a network port for external communications |
| [RA1118](../Response_Actions/RA_1118_get_ability_to_block_port_internal_communication.md) | [Get ability to block port internal communication](../Response_Actions/RA_1118_get_ability_to_block_port_internal_communication.md) | Make sure you can block a network port for internal communications |
| [RA1119](../Response_Actions/RA_1119_get_ability_to_block_user_external_communication.md) | [Get ability to block user external communication](../Response_Actions/RA_1119_get_ability_to_block_user_external_communication.md) | Make sure you can block a user for external communications |
| [RA1120](../Response_Actions/RA_1120_get_ability_to_block_user_internal_communication.md) | [Get ability to block user internal communication](../Response_Actions/RA_1120_get_ability_to_block_user_internal_communication.md) | Make sure you can block a user for internal communications |
| [RA1121](../Response_Actions/RA_1121_get_ability_to_find_data_transferred_by_content_pattern.md) | [Get ability to find data transferred by content pattern](../Response_Actions/RA_1121_get_ability_to_find_data_transferred_by_content_pattern.md) | Make sure you have the ability to find data transferred at a particular time in the past by its content pattern (i.e. specific string, keyword, binary pattern etc) |
| [RA1122](../Response_Actions/RA_1122_get_ability_to_block_data_transferring_by_content_pattern.md) | [Get ability to block data transferring by content pattern](../Response_Actions/RA_1122_get_ability_to_block_data_transferring_by_content_pattern.md) | Make sure you have the ability to block data transferring by its content pattern (i.e. specific string, keyword, binary pattern etc) |
| [RA1123](../Response_Actions/RA_1123_get_ability_to_list_data_transferred.md) | [Get ability to list data transferred](../Response_Actions/RA_1123_get_ability_to_list_data_transferred.md) | Make sure you have the ability to list the data that is being transferred at the moment or at a particular time in the past |
| [RA1124](../Response_Actions/RA_1124_get_ability_to_collect_transferred_data.md) | [Get ability to collect transferred data](../Response_Actions/RA_1124_get_ability_to_collect_transferred_data.md) | Make sure you have the ability to collect the data that is being transferred at the moment or at a particular time in the past |
| [RA1125](../Response_Actions/RA_1125_get_ability_to_identify_transferred_data.md) | [Get ability to identify transferred data](../Response_Actions/RA_1125_get_ability_to_identify_transferred_data.md) | Make sure you have the ability to identify the data that is being transferred at the moment or at a particular time in the past (i.e. its content, value) |
| [RA1126](../Response_Actions/RA_1126_find_data_transferred_by_content_pattern.md) | [Find data transferred by content pattern](../Response_Actions/RA_1126_find_data_transferred_by_content_pattern.md) | Make sure you have the ability to find the data that is being transferred at the moment or at a particular time in the past by its content pattern |
| [RA1201](../Response_Actions/RA_1201_get_ability_to_list_users_opened_email_message.md) | [Get ability to list users opened email message](../Response_Actions/RA_1201_get_ability_to_list_users_opened_email_message.md) | Make sure you have the ability to list users who opened a particular email message |
| [RA1202](../Response_Actions/RA_1202_get_ability_to_list_email_message_receivers.md) | [Get ability to list email message receivers](../Response_Actions/RA_1202_get_ability_to_list_email_message_receivers.md) | Make sure you have the ability to list receivers of a particular email message |
| [RA1203](../Response_Actions/RA_1203_get_ability_to_block_email_domain.md) | [Get ability to block email domain](../Response_Actions/RA_1203_get_ability_to_block_email_domain.md) | Make sure you have the ability to block an email domain |
| [RA1204](../Response_Actions/RA_1204_get_ability_to_block_email_sender.md) | [Get ability to block email sender](../Response_Actions/RA_1204_get_ability_to_block_email_sender.md) | Make sure you have the ability to block an email sender |
| [RA1205](../Response_Actions/RA_1205_get_ability_to_delete_email_message.md) | [Get ability to delete email message](../Response_Actions/RA_1205_get_ability_to_delete_email_message.md) | Make sure you have the ability to delete an email message |
| [RA1206](../Response_Actions/RA_1206_get_ability_to_quarantine_email_message.md) | [Get ability to quarantine email message](../Response_Actions/RA_1206_get_ability_to_quarantine_email_message.md) | Make sure you have the ability to quarantine an email message |
| [RA1207](../Response_Actions/RA_1207_get_ability_to_collect_email_message.md) | [Get ability to collect email message](../Response_Actions/RA_1207_get_ability_to_collect_email_message.md) | Make sure you have the ability to collect an email message |
| [RA1301](../Response_Actions/RA_1301_get_ability_to_list_files_created.md) | [Get ability to list files created](../Response_Actions/RA_1301_get_ability_to_list_files_created.md) | Make sure you have the ability to list files that have been created at a particular time in the past |
| [RA1302](../Response_Actions/RA_1302_get_ability_to_list_files_modified.md) | [Get ability to list files modified](../Response_Actions/RA_1302_get_ability_to_list_files_modified.md) | Make sure you have the ability to list files that have been modified at a particular time in the past |
| [RA1303](../Response_Actions/RA_1303_get_ability_to_list_files_deleted.md) | [Get ability to list files deleted](../Response_Actions/RA_1303_get_ability_to_list_files_deleted.md) | Make sure you have the ability to list files that have been deleted at a particular time in the past |
| [RA1304](../Response_Actions/RA_1304_get_ability_to_list_files_downloaded.md) | [Get ability to list files downloaded](../Response_Actions/RA_1304_get_ability_to_list_files_downloaded.md) | Make sure you have the ability to list files that have been downloaded from the internet at a particular time in the past |
| [RA1305](../Response_Actions/RA_1305_get_ability_to_list_files_with_tampered_timestamps.md) | [Get ability to list files with tampered timestamps](../Response_Actions/RA_1305_get_ability_to_list_files_with_tampered_timestamps.md) | Make sure you have the ability to list files with a tampered timestamp |
| [RA1306](../Response_Actions/RA_1306_get_ability_to_find_file_by_path.md) | [Get ability to find file by path](../Response_Actions/RA_1306_get_ability_to_find_file_by_path.md) | Make sure you have the ability to find a file by its path (including its name) |
| [RA1307](../Response_Actions/RA_1307_get_ability_to_find_file_by_metadata.md) | [Get ability to find file by metadata](../Response_Actions/RA_1307_get_ability_to_find_file_by_metadata.md) | Make sure you have the ability to find file by its metadata (i.e. signature, permissions, MAC times) |
| [RA1308](../Response_Actions/RA_1308_get_ability_to_find_file_by_hash.md) | [Get ability to find file by hash](../Response_Actions/RA_1308_get_ability_to_find_file_by_hash.md) | Make sure you have the ability to find a file by its hash |
| [RA1309](../Response_Actions/RA_1309_get_ability_to_find_file_by_format.md) | [Get ability to find file by format](../Response_Actions/RA_1309_get_ability_to_find_file_by_format.md) | Make sure you have the ability to find a file by its format |
| [RA1310](../Response_Actions/RA_1310_get_ability_to_find_file_by_content_pattern.md) | [Get ability to find file by content pattern](../Response_Actions/RA_1310_get_ability_to_find_file_by_content_pattern.md) | Make sure you have the ability to find a file by its content pattern (i.e. specific string, keyword, binary pattern etc) |
| [RA1311](../Response_Actions/RA_1311_get_ability_to_collect_file.md) | [Get ability to collect file](../Response_Actions/RA_1311_get_ability_to_collect_file.md) | Make sure you have the ability to collect a specific file from a (remote) host or a system |
| [RA1312](../Response_Actions/RA_1312_get_ability_to_quarantine_file_by_path.md) | [Get ability to quarantine file by path](../Response_Actions/RA_1312_get_ability_to_quarantine_file_by_path.md) | Make sure you have the ability to block a file from being accessed by its path (including its name) |
| [RA1313](../Response_Actions/RA_1313_get_ability_to_quarantine_file_by_hash.md) | [Get ability to quarantine file by hash](../Response_Actions/RA_1313_get_ability_to_quarantine_file_by_hash.md) | Make sure you have the ability to block a file from being accessed by its hash |
| [RA1314](../Response_Actions/RA_1314_get_ability_to_quarantine_file_by_format.md) | [Get ability to quarantine file by format](../Response_Actions/RA_1314_get_ability_to_quarantine_file_by_format.md) | Make sure you have the ability to block a file from being accessed by its format |
| [RA1315](../Response_Actions/RA_1315_get_ability_to_quarantine_file_by_content_pattern.md) | [Get ability to quarantine file by content pattern](../Response_Actions/RA_1315_get_ability_to_quarantine_file_by_content_pattern.md) | Make sure you have the ability to block a file from being accessed by its content pattern (i.e. specific string, keyword, binary pattern etc) |
| [RA1316](../Response_Actions/RA_1316_get_ability_to_remove_file.md) | [Get ability to remove file](../Response_Actions/RA_1316_get_ability_to_remove_file.md) | Make sure you have the ability to remove a specific file from a (remote) host or a system |
| [RA1317](../Response_Actions/RA_1317_get_ability_to_analyse_file_hash.md) | [Get ability to analyse file hash](../Response_Actions/RA_1317_get_ability_to_analyse_file_hash.md) | Make sure you have the ability to analyse a file hash |
| [RA1318](../Response_Actions/RA_1318_get_ability_to_analyse_windows_pe.md) | [Get ability to analyse Windows PE](../Response_Actions/RA_1318_get_ability_to_analyse_windows_pe.md) | Make sure you have the ability to analyse a Windows Portable Executable file |
| [RA1319](../Response_Actions/RA_1319_get_ability_to_analyse_macos_macho.md) | [Get ability to analyse macos macho](../Response_Actions/RA_1319_get_ability_to_analyse_macos_macho.md) | Make sure you have the ability to analyse a macOS Mach-O file |
| [RA1320](../Response_Actions/RA_1320_get_ability_to_analyse_unix_elf.md) | [Get ability to analyse Unix ELF](../Response_Actions/RA_1320_get_ability_to_analyse_unix_elf.md) | Make sure you have the ability to analyse a UNIX ELF file |
| [RA1321](../Response_Actions/RA_1321_get_ability_to_analyse_ms_office_file.md) | [Get ability to analyse MS office file](../Response_Actions/RA_1321_get_ability_to_analyse_ms_office_file.md) | Make sure you have the ability to analyse a Microsoft Office file |
| [RA1322](../Response_Actions/RA_1322_get_ability_to_analyse_pdf_file.md) | [Get ability to analyse PDF file](../Response_Actions/RA_1322_get_ability_to_analyse_pdf_file.md) | Make sure you have the ability to analyse a PDF file |
| [RA1323](../Response_Actions/RA_1323_get_ability_to_analyse_script.md) | [Get ability to analyse script](../Response_Actions/RA_1323_get_ability_to_analyse_script.md) | Make sure you have the ability to analyse a script file (i.e. Python, PowerShell, Bash scripts etc) |
| [RA1401](../Response_Actions/RA_1401_get_ability_to_list_processes_executed.md) | [Get ability to list processes executed](../Response_Actions/RA_1401_get_ability_to_list_processes_executed.md) | Make sure you have the ability to list processes being executed at the moment or at a particular time in the past |
| [RA1402](../Response_Actions/RA_1402_get_ability_to_find_process_by_executable_path.md) | [Get ability to find process by executable path](../Response_Actions/RA_1402_get_ability_to_find_process_by_executable_path.md) | Make sure you have the ability to find process executed at a particular time in the past by its executable path (including its name) |
| [RA1403](../Response_Actions/RA_1403_get_ability_to_find_process_by_executable_metadata.md) | [Get ability to find process by executable metadata](../Response_Actions/RA_1403_get_ability_to_find_process_by_executable_metadata.md) | Make sure you have the ability to find process executed at a particular time in the past by its executable metadata (i.e. signature, permissions, MAC times) |
| [RA1404](../Response_Actions/RA_1404_get_ability_to_find_process_by_executable_hash.md) | [Get ability to find process by executable hash](../Response_Actions/RA_1404_get_ability_to_find_process_by_executable_hash.md) | Make sure you have the ability to find process executed at a particular time in the past by its executable hash |
| [RA1405](../Response_Actions/RA_1405_get_ability_to_find_process_by_executable_format.md) | [Get ability to find process by executable format](../Response_Actions/RA_1405_get_ability_to_find_process_by_executable_format.md) | Make sure you have the ability to find process executed at a particular time in the past by its executable format |
| [RA1406](../Response_Actions/RA_1406_get_ability_to_find_process_by_executable_content_pattern.md) | [Get ability to find process by executable content pattern](../Response_Actions/RA_1406_get_ability_to_find_process_by_executable_content_pattern.md) | Make sure you have the ability to find process executed at a particular time in the past by its executable content pattern (i.e. specific string, keyword, binary pattern etc) |
| [RA1407](../Response_Actions/RA_1407_get_ability_to_block_process_by_executable_path.md) | [Get ability to block process by executable path](../Response_Actions/RA_1407_get_ability_to_block_process_by_executable_path.md) | Make sure you have the ability to block process by its executable path (including its name) |
| [RA1408](../Response_Actions/RA_1408_get_ability_to_block_process_by_executable_metadata.md) | [Get ability to block process by executable metadata](../Response_Actions/RA_1408_get_ability_to_block_process_by_executable_metadata.md) | Make sure you have the ability to block process by its executable metadata (i.e. signature, permissions, MAC times) |
| [RA1409](../Response_Actions/RA_1409_get_ability_to_block_process_by_executable_hash.md) | [Get ability to block process by executable hash](../Response_Actions/RA_1409_get_ability_to_block_process_by_executable_hash.md) | Make sure you have the ability to block process by its executable hash |
| [RA1410](../Response_Actions/RA_1410_get_ability_to_block_process_by_executable_format.md) | [Get ability to block process by executable format](../Response_Actions/RA_1410_get_ability_to_block_process_by_executable_format.md) | Make sure you have the ability to block process by its executable format |
| [RA1411](../Response_Actions/RA_1411_get_ability_to_block_process_by_executable_content_pattern.md) | [Get ability to block process by executable content pattern](../Response_Actions/RA_1411_get_ability_to_block_process_by_executable_content_pattern.md) | Make sure you have the ability to block process by its executable content pattern (i.e. specific string, keyword, binary pattern etc) |
| [RA1501](../Response_Actions/RA_1501_manage_remote_computer_management_system_policies.md) | [Manage remote computer management system policies](../Response_Actions/RA_1501_manage_remote_computer_management_system_policies.md) | Make sure you can manage Remote Computer Management system policies |
| [RA1502](../Response_Actions/RA_1502_get_ability_to_list_registry_keys_modified.md) | [Get ability to list registry keys modified](../Response_Actions/RA_1502_get_ability_to_list_registry_keys_modified.md) | Make sure you have the ability to list registry keys modified at a particular time in the past |
| [RA1503](../Response_Actions/RA_1503_get_ability_to_list_registry_keys_deleted.md) | [Get ability to list registry keys deleted](../Response_Actions/RA_1503_get_ability_to_list_registry_keys_deleted.md) | Make sure you have the ability to list registry keys deleted at a particular time in the past |
| [RA1504](../Response_Actions/RA_1504_get_ability_to_list_registry_keys_accessed.md) | [Get ability to list registry keys accessed](../Response_Actions/RA_1504_get_ability_to_list_registry_keys_accessed.md) | Make sure you have the ability to list registry keys accessed at a particular time in the past |
| [RA1505](../Response_Actions/RA_1505_get_ability_to_list_registry_keys_created.md) | [Get ability to list registry keys created](../Response_Actions/RA_1505_get_ability_to_list_registry_keys_created.md) | Make sure you have the ability to list registry keys created at a particular time in the past |
| [RA1506](../Response_Actions/RA_1506_get_ability_to_list_services_created.md) | [Get ability to list services created](../Response_Actions/RA_1506_get_ability_to_list_services_created.md) | Make sure you have the ability to list services that have created at a particular time in the past |
| [RA1507](../Response_Actions/RA_1507_get_ability_to_list_services_modified.md) | [Get ability to list services modified](../Response_Actions/RA_1507_get_ability_to_list_services_modified.md) | Make sure you have the ability to list services that have been modified at a particular time in the past |
| [RA1508](../Response_Actions/RA_1508_get_ability_to_list_services_deleted.md) | [Get ability to list services deleted](../Response_Actions/RA_1508_get_ability_to_list_services_deleted.md) | Make sure you have the ability to list services that have been deleted at a particular time in the past |
| [RA1509](../Response_Actions/RA_1509_get_ability_to_remove_registry_key.md) | [Get ability to remove registry key](../Response_Actions/RA_1509_get_ability_to_remove_registry_key.md) | Make sure you have the ability to remove a registry key |
| [RA1510](../Response_Actions/RA_1510_get_ability_to_remove_service.md) | [Get ability to remove service](../Response_Actions/RA_1510_get_ability_to_remove_service.md) | Make sure you have the ability to remove a service |
| [RA1601](../Response_Actions/RA_1601_manage_identity_management_system.md) | [Manage identity management system](../Response_Actions/RA_1601_manage_identity_management_system.md) | Make sure you can manage Identity Management System, i.e. remove/block users, revoke credentials, and execute other Response Actions |
| [RA1602](../Response_Actions/RA_1602_get_ability_to_lock_user_account.md) | [Get ability to lock user account](../Response_Actions/RA_1602_get_ability_to_lock_user_account.md) | Make sure you have the ability to lock user account from being used |
| [RA1603](../Response_Actions/RA_1603_get_ability_to_list_users_authenticated.md) | [Get ability to list users authenticated](../Response_Actions/RA_1603_get_ability_to_list_users_authenticated.md) | Make sure you have the ability to list users authenticated at a particular time in the past on a particular system |
| [RA1604](../Response_Actions/RA_1604_get_ability_to_revoke_authentication_credentials.md) | [Get ability to revoke authentication credentials](../Response_Actions/RA_1604_get_ability_to_revoke_authentication_credentials.md) | Make sure you have the ability to revoke authentication credentials |
| [RA1605](../Response_Actions/RA_1605_get_ability_to_remove_user_account.md) | [Get ability to remove user account](../Response_Actions/RA_1605_get_ability_to_remove_user_account.md) | Make sure you have the ability to remove a user account |