# Identification 

**ID**: RS0002

Gather information about a threat that has triggered a security incident, its TTPs, and affected assets.
## Response Actions

| ID    | Name     | Description |
|:-----:|:--------:|-------------|
| [RA2001](../Response_Actions/RA_2001_list_victims_of_security_alert.md) | [List victims of security alert](../Response_Actions/RA_2001_list_victims_of_security_alert.md) | List victims of a security alert |
| [RA2002](../Response_Actions/RA_2002_list_host_vulnerabilities.md) | [List host vulnerabilities](../Response_Actions/RA_2002_list_host_vulnerabilities.md) | Get information about a specific host existing vulnerabilities, or about vulnerabilities it had at a particular time in the past |
| [RA2003](../Response_Actions/RA_2003_put_compromised_accounts_on_monitoring.md) | [Put compromised accounts on monitoring](../Response_Actions/RA_2003_put_compromised_accounts_on_monitoring.md) | Put (potentially) compromised accounts on monitoring |
| [RA2101](../Response_Actions/RA_2101_list_hosts_communicated_with_internal_domain.md) | [List hosts communicated with internal domain](../Response_Actions/RA_2101_list_hosts_communicated_with_internal_domain.md) | List hosts communicated with an internal domain |
| [RA2102](../Response_Actions/RA_2102_list_hosts_communicated_with_internal_ip.md) | [List hosts communicated with internal IP](../Response_Actions/RA_2102_list_hosts_communicated_with_internal_ip.md) | List hosts communicated with an internal IP address |
| [RA2103](../Response_Actions/RA_2103_list_hosts_communicated_with_internal_url.md) | [List hosts communicated with internal URL](../Response_Actions/RA_2103_list_hosts_communicated_with_internal_url.md) | List hosts communicated with an internal URL |
| [RA2104](../Response_Actions/RA_2104_analyse_domain_name.md) | [Analyse domain name](../Response_Actions/RA_2104_analyse_domain_name.md) | Analyse a domain name |
| [RA2105](../Response_Actions/RA_2105_analyse_ip.md) | [Analyse IP](../Response_Actions/RA_2105_analyse_ip.md) | Analyse an IP address |
| [RA2106](../Response_Actions/RA_2106_analyse_uri.md) | [Analyse uri](../Response_Actions/RA_2106_analyse_uri.md) | Analyse an URI |
| [RA2107](../Response_Actions/RA_2107_list_hosts_communicated_by_port.md) | [List hosts communicated by port](../Response_Actions/RA_2107_list_hosts_communicated_by_port.md) | List hosts communicating by a specific port at the moment or at a particular time in the past |
| [RA2108](../Response_Actions/RA_2108_list_hosts_connected_to_vpn.md) | [List hosts connected to VPN](../Response_Actions/RA_2108_list_hosts_connected_to_vpn.md) | List hosts connected to a VPN at the moment or at a particular time in the past |
| [RA2109](../Response_Actions/RA_2109_list_hosts_connected_to_intranet.md) | [List hosts connected to intranet](../Response_Actions/RA_2109_list_hosts_connected_to_intranet.md) | List hosts connected to the internal network at the moment or at a particular time in the past |
| [RA2110](../Response_Actions/RA_2110_list_data_transferred.md) | [List data transferred](../Response_Actions/RA_2110_list_data_transferred.md) | List the data that is being transferred at the moment or at a particular time in the past |
| [RA2111](../Response_Actions/RA_2111_collect_transferred_data.md) | [Collect transferred data](../Response_Actions/RA_2111_collect_transferred_data.md) | Collect the data that is being transferred at the moment or at a particular time in the past |
| [RA2112](../Response_Actions/RA_2112_identify_transferred_data.md) | [Identify transferred data](../Response_Actions/RA_2112_identify_transferred_data.md) | Identify the data that is being transferred at the moment or at a particular time in the past (i.e. its content, value) |
| [RA2113](../Response_Actions/RA_2113_list_hosts_communicated_with_external_domain.md) | [List hosts communicated with external domain](../Response_Actions/RA_2113_list_hosts_communicated_with_external_domain.md) | List hosts communicated with an external domain |
| [RA2114](../Response_Actions/RA_2114_list_hosts_communicated_with_external_ip.md) | [List hosts communicated with external IP](../Response_Actions/RA_2114_list_hosts_communicated_with_external_ip.md) | List hosts communicated with an external IP address |
| [RA2115](../Response_Actions/RA_2115_list_hosts_communicated_with_external_url.md) | [List hosts communicated with external URL](../Response_Actions/RA_2115_list_hosts_communicated_with_external_url.md) | List hosts communicated with an external URL |
| [RA2116](../Response_Actions/RA_2116_find_data_transferred_by_content_pattern.md) | [Find data transferred by content pattern](../Response_Actions/RA_2116_find_data_transferred_by_content_pattern.md) | Find the data that is being transferred at the moment or at a particular time in the past by its content pattern (i.e. specific string, keyword, binary pattern etc) |
| [RA2201](../Response_Actions/RA_2201_list_users_opened_email_message.md) | [List users opened email message](../Response_Actions/RA_2201_list_users_opened_email_message.md) | List users that have opened am email message |
| [RA2202](../Response_Actions/RA_2202_collect_email_message.md) | [Collect email message](../Response_Actions/RA_2202_collect_email_message.md) | Collect an email message |
| [RA2203](../Response_Actions/RA_2203_list_email_message_receivers.md) | [List email message receivers](../Response_Actions/RA_2203_list_email_message_receivers.md) | List receivers of a particular email message |
| [RA2204](../Response_Actions/RA_2204_make_sure_email_message_is_phishing.md) | [Make sure email message is phishing](../Response_Actions/RA_2204_make_sure_email_message_is_phishing.md) | Make sure that an email message is a phishing attack |
| [RA2205](../Response_Actions/RA_2205_extract_observables_from_email_message.md) | [Extract observables from email message](../Response_Actions/RA_2205_extract_observables_from_email_message.md) | Extract observables from an email message |
| [RA2301](../Response_Actions/RA_2301_list_files_created.md) | [List files created](../Response_Actions/RA_2301_list_files_created.md) | List files that have been created at a particular time in the past |
| [RA2302](../Response_Actions/RA_2302_list_files_modified.md) | [List files modified](../Response_Actions/RA_2302_list_files_modified.md) | List files that have been modified at a particular time in the past |
| [RA2303](../Response_Actions/RA_2303_list_files_deleted.md) | [List files deleted](../Response_Actions/RA_2303_list_files_deleted.md) | List files that have been deleted at a particular time in the past |
| [RA2304](../Response_Actions/RA_2304_list_files_downloaded.md) | [List files downloaded](../Response_Actions/RA_2304_list_files_downloaded.md) | List files that have been downloaded at a particular time in the past |
| [RA2305](../Response_Actions/RA_2305_list_files_with_tampered_timestamps.md) | [List files with tampered timestamps](../Response_Actions/RA_2305_list_files_with_tampered_timestamps.md) | List files with tampered timestamps |
| [RA2306](../Response_Actions/RA_2306_find_file_by_path.md) | [Find file by path](../Response_Actions/RA_2306_find_file_by_path.md) | Find a file by its path (including its name) |
| [RA2307](../Response_Actions/RA_2307_find_file_by_metadata.md) | [Find file by metadata](../Response_Actions/RA_2307_find_file_by_metadata.md) | Find a file by its metadata (i.e. signature, permissions, MAC times) |
| [RA2308](../Response_Actions/RA_2308_find_file_by_hash.md) | [Find file by hash](../Response_Actions/RA_2308_find_file_by_hash.md) | Find a file by its hash |
| [RA2309](../Response_Actions/RA_2309_find_file_by_format.md) | [Find file by format](../Response_Actions/RA_2309_find_file_by_format.md) | Find a file by its format |
| [RA2310](../Response_Actions/RA_2310_find_file_by_content_pattern.md) | [Find file by content pattern](../Response_Actions/RA_2310_find_file_by_content_pattern.md) | Find a file by its content pattern (i.e. specific string, keyword, binary pattern etc) |
| [RA2311](../Response_Actions/RA_2311_collect_file.md) | [Collect file](../Response_Actions/RA_2311_collect_file.md) | Collect a specific file from a (remote) host or a system |
| [RA2312](../Response_Actions/RA_2312_analyse_file_hash.md) | [Analyse file hash](../Response_Actions/RA_2312_analyse_file_hash.md) | Analise a hash of a file |
| [RA2313](../Response_Actions/RA_2313_analyse_windows_pe.md) | [Analyse Windows PE](../Response_Actions/RA_2313_analyse_windows_pe.md) | Analise MS Windows Portable Executable |
| [RA2314](../Response_Actions/RA_2314_analyse_macos_macho.md) | [Analyse macos macho](../Response_Actions/RA_2314_analyse_macos_macho.md) | Analise macOS Mach-O |
| [RA2315](../Response_Actions/RA_2315_analyse_unix_elf.md) | [Analyse Unix ELF](../Response_Actions/RA_2315_analyse_unix_elf.md) | Analise Unix ELF |
| [RA2316](../Response_Actions/RA_2316_analyse_ms_office_file.md) | [Analyse MS office file](../Response_Actions/RA_2316_analyse_ms_office_file.md) | Analise MS Office file |
| [RA2317](../Response_Actions/RA_2317_analyse_pdf_file.md) | [Analyse PDF file](../Response_Actions/RA_2317_analyse_pdf_file.md) | Analise PDF file |
| [RA2318](../Response_Actions/RA_2318_analyse_script.md) | [Analyse script](../Response_Actions/RA_2318_analyse_script.md) | Analyse a script file (i.e. Python, PowerShell, Bash scripts etc) |
| [RA2401](../Response_Actions/RA_2401_list_processes_executed.md) | [List processes executed](../Response_Actions/RA_2401_list_processes_executed.md) | List processes being executed at the moment or at a particular time in the past |
| [RA2402](../Response_Actions/RA_2402_find_process_by_executable_path.md) | [Find process by executable path](../Response_Actions/RA_2402_find_process_by_executable_path.md) | Find a process that is being executed at the moment or at a particular time in the past by its executable path (including its name) |
| [RA2403](../Response_Actions/RA_2403_find_process_by_executable_metadata.md) | [Find process by executable metadata](../Response_Actions/RA_2403_find_process_by_executable_metadata.md) | Find a process that is being executed at the moment or at a particular time in the past by its executable metadata (i.e. signature, permissions, MAC times) |
| [RA2404](../Response_Actions/RA_2404_find_process_by_executable_hash.md) | [Find process by executable hash](../Response_Actions/RA_2404_find_process_by_executable_hash.md) | Find a process that is being executed at the moment or at a particular time in the past by its executable hash |
| [RA2405](../Response_Actions/RA_2405_find_process_by_executable_format.md) | [Find process by executable format](../Response_Actions/RA_2405_find_process_by_executable_format.md) | Find a process that is being executed at the moment or at a particular time in the past by its executable format |
| [RA2406](../Response_Actions/RA_2406_find_process_by_executable_content_pattern.md) | [Find process by executable content pattern](../Response_Actions/RA_2406_find_process_by_executable_content_pattern.md) | Find a process that is being executed at the moment or at a particular time in the past by its executable content (i.e. specific string, keyword, binary pattern etc) |
| [RA2501](../Response_Actions/RA_2501_list_registry_keys_modified.md) | [List registry keys modified](../Response_Actions/RA_2501_list_registry_keys_modified.md) | List registry keys modified at a particular time in the past |
| [RA2502](../Response_Actions/RA_2502_list_registry_keys_deleted.md) | [List registry keys deleted](../Response_Actions/RA_2502_list_registry_keys_deleted.md) | List registry keys that have been deleted at a particular time in the past |
| [RA2503](../Response_Actions/RA_2503_list_registry_keys_accessed.md) | [List registry keys accessed](../Response_Actions/RA_2503_list_registry_keys_accessed.md) | List registry keys that have been accessed at a particular time in the past |
| [RA2504](../Response_Actions/RA_2504_list_registry_keys_created.md) | [List registry keys created](../Response_Actions/RA_2504_list_registry_keys_created.md) | List registry keys that have been created at a particular time in the past |
| [RA2505](../Response_Actions/RA_2505_list_services_created.md) | [List services created](../Response_Actions/RA_2505_list_services_created.md) | List services that have been created at a particular time in the past |
| [RA2506](../Response_Actions/RA_2506_list_services_modified.md) | [List services modified](../Response_Actions/RA_2506_list_services_modified.md) | List services that have been modified at a particular time in the past |
| [RA2507](../Response_Actions/RA_2507_list_services_deleted.md) | [List services deleted](../Response_Actions/RA_2507_list_services_deleted.md) | List services that have been deleted at a particular time in the past |
| [RA2601](../Response_Actions/RA_2601_list_users_authenticated.md) | [List users authenticated](../Response_Actions/RA_2601_list_users_authenticated.md) | List users authenticated at a particular time in the past on a particular system |