# Containment 

**ID**: RS0003

Prevent a threat from achieving its objectives and/or spreading around an environment.
## Response Actions

| ID    | Name     | Description |
|:-----:|:--------:|-------------|
| [RA3001](../Response_Actions/RA_3001_patch_vulnerability.md) | [Patch vulnerability](../Response_Actions/RA_3001_patch_vulnerability.md) | Patch a vulnerability in an asset |
| [RA3101](../Response_Actions/RA_3101_block_external_ip_address.md) | [Block external IP address](../Response_Actions/RA_3101_block_external_ip_address.md) | Block an external IP address from being accessed by corporate assets |
| [RA3102](../Response_Actions/RA_3102_block_internal_ip_address.md) | [Block internal IP address](../Response_Actions/RA_3102_block_internal_ip_address.md) | Block an internal IP address from being accessed by corporate assets |
| [RA3103](../Response_Actions/RA_3103_block_external_domain.md) | [Block external domain](../Response_Actions/RA_3103_block_external_domain.md) | Block an external domain name from being accessed by corporate assets |
| [RA3104](../Response_Actions/RA_3104_block_internal_domain.md) | [Block internal domain](../Response_Actions/RA_3104_block_internal_domain.md) | Block an internal domain name from being accessed by corporate assets |
| [RA3105](../Response_Actions/RA_3105_block_external_url.md) | [Block external URL](../Response_Actions/RA_3105_block_external_url.md) | Block an external URL from being accessed by corporate assets |
| [RA3106](../Response_Actions/RA_3106_block_internal_url.md) | [Block internal URL](../Response_Actions/RA_3106_block_internal_url.md) | Block an internal URL from being accessed by corporate assets |
| [RA3107](../Response_Actions/RA_3107_block_port_external_communication.md) | [Block port external communication](../Response_Actions/RA_3107_block_port_external_communication.md) | Block a network port for external communications |
| [RA3108](../Response_Actions/RA_3108_block_port_internal_communication.md) | [Block port internal communication](../Response_Actions/RA_3108_block_port_internal_communication.md) | Block a network port for internal communications |
| [RA3109](../Response_Actions/RA_3109_block_user_external_communication.md) | [Block user external communication](../Response_Actions/RA_3109_block_user_external_communication.md) | Block a user for external communications |
| [RA3110](../Response_Actions/RA_3110_block_user_internal_communication.md) | [Block user internal communication](../Response_Actions/RA_3110_block_user_internal_communication.md) | Block a user for internal communications |
| [RA3111](../Response_Actions/RA_3111_block_data_transferring_by_content_pattern.md) | [Block data transferring by content pattern](../Response_Actions/RA_3111_block_data_transferring_by_content_pattern.md) | Block data transferring by its content pattern (i.e. specific string, keyword, binary pattern etc) |
| [RA3201](../Response_Actions/RA_3201_block_domain_on_email.md) | [Block domain on email](../Response_Actions/RA_3201_block_domain_on_email.md) | Block a domain name on an Email server |
| [RA3202](../Response_Actions/RA_3202_block_sender_on_email.md) | [Block sender on email](../Response_Actions/RA_3202_block_sender_on_email.md) | Block an email sender on the Email-server |
| [RA3203](../Response_Actions/RA_3203_quarantine_email_message.md) | [Quarantine email message](../Response_Actions/RA_3203_quarantine_email_message.md) | Quarantine an email message |
| [RA3301](../Response_Actions/RA_3301_quarantine_file_by_format.md) | [Quarantine file by format](../Response_Actions/RA_3301_quarantine_file_by_format.md) | Quarantine a file by its format |
| [RA3302](../Response_Actions/RA_3302_quarantine_file_by_hash.md) | [Quarantine file by hash](../Response_Actions/RA_3302_quarantine_file_by_hash.md) | Quarantine a file by its hash |
| [RA3303](../Response_Actions/RA_3303_quarantine_file_by_path.md) | [Quarantine file by path](../Response_Actions/RA_3303_quarantine_file_by_path.md) | Quarantine a file by its path |
| [RA3304](../Response_Actions/RA_3304_quarantine_file_by_content_pattern.md) | [Quarantine file by content pattern](../Response_Actions/RA_3304_quarantine_file_by_content_pattern.md) | Quarantine a file by its content pattern |
| [RA3401](../Response_Actions/RA_3401_block_process_by_executable_path.md) | [Block process by executable path](../Response_Actions/RA_3401_block_process_by_executable_path.md) | Block a process execution by its executable path (including its name) |
| [RA3402](../Response_Actions/RA_3402_block_process_by_executable_metadata.md) | [Block process by executable metadata](../Response_Actions/RA_3402_block_process_by_executable_metadata.md) | Block a process execution by its executable metadata (i.e. signature, permissions, MAC times) |
| [RA3403](../Response_Actions/RA_3403_block_process_by_executable_hash.md) | [Block process by executable hash](../Response_Actions/RA_3403_block_process_by_executable_hash.md) | Block a process execution by its executable hash |
| [RA3404](../Response_Actions/RA_3404_block_process_by_executable_format.md) | [Block process by executable format](../Response_Actions/RA_3404_block_process_by_executable_format.md) | Block a process execution by its executable format |
| [RA3405](../Response_Actions/RA_3405_block_process_by_executable_content_pattern.md) | [Block process by executable content pattern](../Response_Actions/RA_3405_block_process_by_executable_content_pattern.md) | Block a process execution by its executable content pattern (i.e. specific string, keyword, binary pattern etc) |
| [RA3501](../Response_Actions/RA_3501_disable_system_service.md) | [Disable system service](../Response_Actions/RA_3501_disable_system_service.md) | Disable a system service |
| [RA3601](../Response_Actions/RA_3601_lock_user_account.md) | [Lock user account](../Response_Actions/RA_3601_lock_user_account.md) | Lock an user account |