# T1030 - Data Transfer Size Limits
## [Description from ATT&CK](https://attack.mitre.org/wiki/Technique/T1030)
<blockquote>An adversary may exfiltrate data in fixed size chunks instead of whole files or limit packet sizes below certain thresholds. This approach may be used to avoid triggering network data transfer threshold alerts.</blockquote>

## Atomic Tests

- [Atomic Test #1 - Data Transfer Size Limits](#atomic-test-1---data-transfer-size-limits)


<br/>

## Atomic Test #1 - Data Transfer Size Limits
Take a file/directory, split it into 5Mb chunks

**Supported Platforms:** macOS, Linux





#### Attack Commands: Run with `sh`! 


```sh
cd /tmp/
dd if=/dev/urandom of=/tmp/victim-whole-file bs=25M count=1
split -b 5000000 /tmp/victim-whole-file
ls -l
```






<br/>
