# T1033 - System Owner/User Discovery
## [Description from ATT&CK](https://attack.mitre.org/wiki/Technique/T1033)
<blockquote>### Windows

Adversaries may attempt to identify the primary user, currently logged in user, set of users that commonly uses a system, or whether a user is actively using the system. They may do this, for example, by retrieving account usernames or by using [Credential Dumping](https://attack.mitre.org/techniques/T1003). The information may be collected in a number of different ways using other Discovery techniques, because user and username details are prevalent throughout a system and include running process ownership, file/directory ownership, session information, and system logs. Adversaries may use the information from [System Owner/User Discovery](https://attack.mitre.org/techniques/T1033) during automated discovery to shape follow-on behaviors, including whether or not the adversary fully infects the target and/or attempts specific actions.

### Mac

On Mac, the currently logged in user can be identified with <code>users</code>,<code>w</code>, and <code>who</code>.

### Linux

On Linux, the currently logged in user can be identified with <code>w</code> and <code>who</code>.</blockquote>

## Atomic Tests

- [Atomic Test #1 - System Owner/User Discovery](#atomic-test-1---system-owneruser-discovery)

- [Atomic Test #2 - System Owner/User Discovery](#atomic-test-2---system-owneruser-discovery)


<br/>

## Atomic Test #1 - System Owner/User Discovery
Identify System owner or users on an endpoint.

Upon successful execution, cmd.exe will spawn multiple commands against a target host to identify usernames. Output will be via stdout. 
Additionally, two files will be written to disk - computers.txt and usernames.txt.

**Supported Platforms:** Windows




#### Inputs:
| Name | Description | Type | Default Value | 
|------|-------------|------|---------------|
| computer_name | Name of remote computer | string | localhost|


#### Attack Commands: Run with `command_prompt`! 


```cmd
cmd.exe /C whoami
wmic useraccount get /ALL
quser /SERVER:"#{computer_name}"
quser
qwinsta.exe" /server:#{computer_name}
qwinsta.exe
for /F "tokens=1,2" %i in ('qwinsta /server:#{computer_name} ^| findstr "Active Disc"') do @echo %i | find /v "#" | find /v "console" || echo %j > usernames.txt
@FOR /F %n in (computers.txt) DO @FOR /F "tokens=1,2" %i in ('qwinsta /server:%n ^| findstr "Active Disc"') do @echo %i | find /v "#" | find /v "console" || echo %j > usernames.txt
```






<br/>
<br/>

## Atomic Test #2 - System Owner/User Discovery
Identify System owner or users on an endpoint

Upon successful execution, sh will stdout list of usernames.

**Supported Platforms:** Linux, macOS





#### Attack Commands: Run with `sh`! 


```sh
users
w
who
```






<br/>
