# T1093 - Process Hollowing
## [Description from ATT&CK](https://attack.mitre.org/wiki/Technique/T1093)
<blockquote>Process hollowing occurs when a process is created in a suspended state then its memory is unmapped and replaced with malicious code. Similar to [Process Injection](https://attack.mitre.org/techniques/T1055), execution of the malicious code is masked under a legitimate process and may evade defenses and detection analysis. (Citation: Leitch Hollowing) (Citation: Endgame Process Injection July 2017)</blockquote>

## Atomic Tests

- [Atomic Test #1 - Process Hollowing using PowerShell](#atomic-test-1---process-hollowing-using-powershell)


<br/>

## Atomic Test #1 - Process Hollowing using PowerShell
This test uses PowerShell to create a Hollow from a PE on disk with explorer as the parent.
Credit to FuzzySecurity (https://github.com/FuzzySecurity/PowerShell-Suite/blob/master/Start-Hollow.ps1)

**Supported Platforms:** Windows




#### Inputs:
| Name | Description | Type | Default Value | 
|------|-------------|------|---------------|
| parent_process_name | Name of the parent process | string | explorer|
| sponsor_binary_path | Path of the sponsor binary (executable that will host the binary) | string | C:&#92;Windows&#92;System32&#92;calc.exe|
| hollow_binary_path | Path of the binary to hollow (executable that will run inside the sponsor) | string | C:&#92;Windows&#92;System32&#92;cmd.exe|
| spawnto_process_name | Name of the process to spawn | string | calc|


#### Attack Commands: Run with `powershell`! 


```powershell
. $PathToAtomicsFolder\T1093\src\Start-Hollow.ps1
$ppid=Get-Process #{parent_process_name} | select -expand id
Start-Hollow -Sponsor "#{sponsor_binary_path}" -Hollow "#{hollow_binary_path}" -ParentPID $ppid -Verbose
```

#### Cleanup Commands:
```powershell
Stop-Process -Name "#{spawnto_process_name}" -ErrorAction Ignore
```





<br/>
