# T1115 - Clipboard Data
## [Description from ATT&CK](https://attack.mitre.org/wiki/Technique/T1115)
<blockquote>Adversaries may collect data stored in the Windows clipboard from users copying information within or between applications. 

### Windows

Applications can access clipboard data by using the Windows API. (Citation: MSDN Clipboard) 

### Mac

OSX provides a native command, <code>pbpaste</code>, to grab clipboard contents  (Citation: Operating with EmPyre).</blockquote>

## Atomic Tests

- [Atomic Test #1 - Utilize Clipboard to store or execute commands from](#atomic-test-1---utilize-clipboard-to-store-or-execute-commands-from)

- [Atomic Test #2 - PowerShell](#atomic-test-2---powershell)


<br/>

## Atomic Test #1 - Utilize Clipboard to store or execute commands from
Add data to clipboard to copy off or execute commands from.

**Supported Platforms:** Windows





#### Attack Commands: Run with `command_prompt`! 


```cmd
dir | clip
echo "T1115" > %temp%\T1115.txt
clip < %temp%\T1115.txt
```

#### Cleanup Commands:
```cmd
del %temp%\T1115.txt >nul 2>&1
```





<br/>
<br/>

## Atomic Test #2 - PowerShell
Utilize PowerShell to echo a command to clipboard and execute it

**Supported Platforms:** Windows





#### Attack Commands: Run with `powershell`! 


```powershell
echo Get-Process | clip
iex Get-Clipboard
```






<br/>
