# T1144 - Gatekeeper Bypass
## [Description from ATT&CK](https://attack.mitre.org/wiki/Technique/T1144)
<blockquote>In macOS and OS X, when applications or programs are downloaded from the internet, there is a special attribute set on the file called <code>com.apple.quarantine</code>. This attribute is read by Apple's Gatekeeper defense program at execution time and provides a prompt to the user to allow or deny execution. 

Apps loaded onto the system from USB flash drive, optical disk, external hard drive, or even from a drive shared over the local network won’t set this flag. Additionally, other utilities or events like drive-by downloads don’t necessarily set it either. This completely bypasses the built-in Gatekeeper check. (Citation: Methods of Mac Malware Persistence) The presence of the quarantine flag can be checked by the xattr command <code>xattr /path/to/MyApp.app</code> for <code>com.apple.quarantine</code>. Similarly, given sudo access or elevated permission, this attribute can be removed with xattr as well, <code>sudo xattr -r -d com.apple.quarantine /path/to/MyApp.app</code>. (Citation: Clearing quarantine attribute) (Citation: OceanLotus for OS X)
 
In typical operation, a file will be downloaded from the internet and given a quarantine flag before being saved to disk. When the user tries to open the file or application, macOS’s gatekeeper will step in and check for the presence of this flag. If it exists, then macOS will then prompt the user to confirmation that they want to run the program and will even provide the URL where the application came from. However, this is all based on the file being downloaded from a quarantine-savvy application. (Citation: Bypassing Gatekeeper)</blockquote>

## Atomic Tests

- [Atomic Test #1 - Gatekeeper Bypass](#atomic-test-1---gatekeeper-bypass)


<br/>

## Atomic Test #1 - Gatekeeper Bypass
Gatekeeper Bypass via command line

**Supported Platforms:** macOS




#### Inputs:
| Name | Description | Type | Default Value | 
|------|-------------|------|---------------|
| app_path | Path to app to be used | Path | myapp.app|


#### Attack Commands: Run with `sh`! 


```sh
sudo xattr -r -d com.apple.quarantine #{app_path}
sudo spctl --master-disable
```






<br/>
