# T1150 - Plist Modification
## [Description from ATT&CK](https://attack.mitre.org/wiki/Technique/T1150)
<blockquote>Property list (plist) files contain all of the information that macOS and OS X uses to configure applications and services. These files are UTF-8 encoded and formatted like XML documents via a series of keys surrounded by < >. They detail when programs should execute, file paths to the executables, program arguments, required OS permissions, and many others. plists are located in certain locations depending on their purpose such as <code>/Library/Preferences</code> (which execute with elevated privileges) and <code>~/Library/Preferences</code> (which execute with a user's privileges). 
Adversaries can modify these plist files to point to their own code, can use them to execute their code in the context of another user, bypass whitelisting procedures, or even use them as a persistence mechanism. (Citation: Sofacy Komplex Trojan)</blockquote>

## Atomic Tests

- [Atomic Test #1 - Plist Modification](#atomic-test-1---plist-modification)


<br/>

## Atomic Test #1 - Plist Modification
Modify MacOS plist file in one of two directories

**Supported Platforms:** macOS




#### Run it with these steps! 
1. Modify a .plist in

    /Library/Preferences

    OR

    ~/Library/Preferences

2. Subsequently, follow the steps for adding and running via [Launch Agent](Persistence/Launch_Agent.md)







<br/>
