# T1153 - Source
## [Description from ATT&CK](https://attack.mitre.org/wiki/Technique/T1153)
<blockquote>The <code>source</code> command loads functions into the current shell or executes files in the current context. This built-in command can be run in two different ways <code>source /path/to/filename [arguments]</code> or <code>. /path/to/filename [arguments]</code>. Take note of the space after the ".". Without a space, a new shell is created that runs the program instead of running the program within the current context. This is often used to make certain features or functions available to a shell or to update a specific shell's environment.(Citation: Source Manual)

Adversaries can abuse this functionality to execute programs. The file executed with this technique does not need to be marked executable beforehand.</blockquote>

## Atomic Tests

- [Atomic Test #1 - Execute Script using Source](#atomic-test-1---execute-script-using-source)

- [Atomic Test #2 - Execute Script using Source Alias](#atomic-test-2---execute-script-using-source-alias)


<br/>

## Atomic Test #1 - Execute Script using Source
Creates a script and executes it using the source command

**Supported Platforms:** macOS, Linux





#### Attack Commands: Run with `sh`! 


```sh
sh -c "echo 'echo Hello from the Atomic Red Team' > /tmp/art.sh"
chmod +x /tmp/art.sh
source /tmp/art.sh
```






<br/>
<br/>

## Atomic Test #2 - Execute Script using Source Alias
Creates a script and executes it using the source command's dot alias

**Supported Platforms:** macOS, Linux





#### Attack Commands: Run with `sh`! 


```sh
sh -c "echo 'echo Hello from the Atomic Red Team' > /tmp/art.sh"
chmod +x /tmp/art.sh
. /tmp/art.sh
```






<br/>
