# T1163 - Rc.common
## [Description from ATT&CK](https://attack.mitre.org/wiki/Technique/T1163)
<blockquote>During the boot process, macOS executes <code>source /etc/rc.common</code>, which is a shell script containing various utility functions. This file also defines routines for processing command-line arguments and for gathering system settings, and is thus recommended to include in the start of Startup Item Scripts (Citation: Startup Items). In macOS and OS X, this is now a deprecated technique in favor of launch agents and launch daemons, but is currently still used.

Adversaries can use the rc.common file as a way to hide code for persistence that will execute on each reboot as the root user (Citation: Methods of Mac Malware Persistence).</blockquote>

## Atomic Tests

- [Atomic Test #1 - rc.common](#atomic-test-1---rccommon)


<br/>

## Atomic Test #1 - rc.common
Modify rc.common

[Reference](https://developer.apple.com/library/content/documentation/MacOSX/Conceptual/BPSystemStartup/Chapters/StartupItems.html)

**Supported Platforms:** macOS





#### Attack Commands: Run with `sh`! 


```sh
echo osascript -e 'tell app "Finder" to display dialog "Hello World"' >> /etc/rc.common
```






<br/>
