# T1164 - Re-opened Applications
## [Description from ATT&CK](https://attack.mitre.org/wiki/Technique/T1164)
<blockquote>Starting in Mac OS X 10.7 (Lion), users can specify certain applications to be re-opened when a user reboots their machine. While this is usually done via a Graphical User Interface (GUI) on an app-by-app basis, there are property list files (plist) that contain this information as well located at <code>~/Library/Preferences/com.apple.loginwindow.plist</code> and <code>~/Library/Preferences/ByHost/com.apple.loginwindow.* .plist</code>. 

An adversary can modify one of these files directly to include a link to their malicious executable to provide a persistence mechanism each time the user reboots their machine (Citation: Methods of Mac Malware Persistence).</blockquote>

## Atomic Tests

- [Atomic Test #1 - Re-Opened Applications](#atomic-test-1---re-opened-applications)

- [Atomic Test #2 - Re-Opened Applications](#atomic-test-2---re-opened-applications)


<br/>

## Atomic Test #1 - Re-Opened Applications
Plist Method

[Reference](https://developer.apple.com/library/content/documentation/MacOSX/Conceptual/BPSystemStartup/Chapters/CustomLogin.html)

**Supported Platforms:** macOS




#### Run it with these steps! 
1. create a custom plist:

    ~/Library/Preferences/com.apple.loginwindow.plist

or

    ~/Library/Preferences/ByHost/com.apple.loginwindow.*.plist







<br/>
<br/>

## Atomic Test #2 - Re-Opened Applications
Mac Defaults

[Reference](https://developer.apple.com/library/content/documentation/MacOSX/Conceptual/BPSystemStartup/Chapters/CustomLogin.html)

**Supported Platforms:** macOS




#### Inputs:
| Name | Description | Type | Default Value | 
|------|-------------|------|---------------|
| script | path to script | path | /path/to/script|


#### Attack Commands: Run with `sh`! 


```sh
sudo defaults write com.apple.loginwindow LoginHook #{script}
sudo defaults delete com.apple.loginwindow LoginHook
```






<br/>
