# T1169 - Sudo
## [Description from ATT&CK](https://attack.mitre.org/wiki/Technique/T1169)
<blockquote>The sudoers file, <code>/etc/sudoers</code>, describes which users can run which commands and from which terminals. This also describes which commands users can run as other users or groups. This provides the idea of least privilege such that users are running in their lowest possible permissions for most of the time and only elevate to other users or permissions as needed, typically by prompting for a password. However, the sudoers file can also specify when to not prompt users for passwords with a line like <code>user1 ALL=(ALL) NOPASSWD: ALL</code> (Citation: OSX.Dok Malware). 

Adversaries can take advantage of these configurations to execute commands as other users or spawn processes with higher privileges. You must have elevated privileges to edit this file though.</blockquote>

## Atomic Tests

- [Atomic Test #1 - Sudo usage](#atomic-test-1---sudo-usage)


<br/>

## Atomic Test #1 - Sudo usage
Common Sudo enumeration methods.

**Supported Platforms:** macOS, Linux





#### Attack Commands: Run with `sh`! 


```sh
sudo -l
sudo su
cat /etc/sudoers
vim /etc/sudoers
```






<br/>
