# T1518 - Software Discovery
## [Description from ATT&CK](https://attack.mitre.org/wiki/Technique/T1518)
<blockquote>Adversaries may attempt to get a listing of non-security related software that is installed on the system. Adversaries may use the information from [Software Discovery](https://attack.mitre.org/techniques/T1518) during automated discovery to shape follow-on behaviors, including whether or not the adversary fully infects the target and/or attempts specific actions.</blockquote>

## Atomic Tests

- [Atomic Test #1 - Find and Display Internet Explorer Browser Version](#atomic-test-1---find-and-display-internet-explorer-browser-version)

- [Atomic Test #2 - Applications Installed](#atomic-test-2---applications-installed)


<br/>

## Atomic Test #1 - Find and Display Internet Explorer Browser Version
Query the registry to determine the version of internet explorer installed on the system.
Upon execution, version information about internet explorer will be displayed.

**Supported Platforms:** Windows





#### Attack Commands: Run with `command_prompt`! 


```cmd
reg query "HKEY_LOCAL_MACHINE\Software\Microsoft\Internet Explorer" /v svcVersion
```






<br/>
<br/>

## Atomic Test #2 - Applications Installed
Query the registry to determine software and versions installed on the system. Upon execution a table of
software name and version information will be displayed.

**Supported Platforms:** Windows





#### Attack Commands: Run with `powershell`! 


```powershell
Get-ItemProperty HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\* | Select-Object DisplayName, DisplayVersion, Publisher, InstallDate | Format-Table -Autosize
Get-ItemProperty HKLM:\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\* | Select-Object DisplayName, DisplayVersion, Publisher, InstallDate | Format-Table -Autosize
```






<br/>
