| Title                    | Audit CVE Event       |
|:-------------------------|:------------------|
| **Description**          | Detects events generated by Windows to indicate the exploitation of a known vulnerability (e.g. CVE-2020-0601) |
| **ATT&amp;CK Tactic**    |   This Detection Rule wasn't mapped to ATT&amp;CK Tactic yet  |
| **ATT&amp;CK Technique** |  This Detection Rule wasn't mapped to ATT&amp;CK Technique yet  |
| **Data Needed**          |  There is no documented Data Needed for this Detection Rule yet  |
| **Trigger**              |  There is no documented Trigger for this Detection Rule yet  |
| **Severity Level**       | critical |
| **False Positives**      | <ul><li>Unknown</li></ul>  |
| **Development Status**   | experimental |
| **References**           | <ul><li>[https://twitter.com/mattifestation/status/1217179698008068096](https://twitter.com/mattifestation/status/1217179698008068096)</li><li>[https://twitter.com/VM_vivisector/status/1217190929330655232](https://twitter.com/VM_vivisector/status/1217190929330655232)</li><li>[https://twitter.com/davisrichardg/status/1217517547576348673](https://twitter.com/davisrichardg/status/1217517547576348673)</li><li>[https://twitter.com/DidierStevens/status/1217533958096924676](https://twitter.com/DidierStevens/status/1217533958096924676)</li><li>[https://twitter.com/FlemmingRiis/status/1217147415482060800](https://twitter.com/FlemmingRiis/status/1217147415482060800)</li></ul>  |
| **Author**               | Florian Roth |


## Detection Rules

### Sigma rule

```
title: Audit CVE Event
id: 48d91a3a-2363-43ba-a456-ca71ac3da5c2
status: experimental
description: Detects events generated by Windows to indicate the exploitation of a known vulnerability (e.g. CVE-2020-0601)
references:
    - https://twitter.com/mattifestation/status/1217179698008068096
    - https://twitter.com/VM_vivisector/status/1217190929330655232
    - https://twitter.com/davisrichardg/status/1217517547576348673
    - https://twitter.com/DidierStevens/status/1217533958096924676
    - https://twitter.com/FlemmingRiis/status/1217147415482060800
author: Florian Roth
date: 2020/01/15
logsource:
    product: windows
    service: application
detection:
    selection:
        Source: 'Microsoft-Windows-Audit-CVE'
    condition: selection
falsepositives:
    - Unknown
level: critical


```





### powershell
    
```
Get-WinEvent -LogName Application | where {($_.message -match "Source.*Microsoft-Windows-Audit-CVE") } | select TimeCreated,Id,RecordId,ProcessId,MachineName,Message
```


### es-qs
    
```
(winlog.channel:"Application" AND winlog.event_data.Source:"Microsoft\-Windows\-Audit\-CVE")
```


### xpack-watcher
    
```
curl -s -XPUT -H 'Content-Type: application/json' --data-binary @- localhost:9200/_watcher/watch/48d91a3a-2363-43ba-a456-ca71ac3da5c2 <<EOF
{
  "metadata": {
    "title": "Audit CVE Event",
    "description": "Detects events generated by Windows to indicate the exploitation of a known vulnerability (e.g. CVE-2020-0601)",
    "tags": "",
    "query": "(winlog.channel:\"Application\" AND winlog.event_data.Source:\"Microsoft\\-Windows\\-Audit\\-CVE\")"
  },
  "trigger": {
    "schedule": {
      "interval": "30m"
    }
  },
  "input": {
    "search": {
      "request": {
        "body": {
          "size": 0,
          "query": {
            "bool": {
              "must": [
                {
                  "query_string": {
                    "query": "(winlog.channel:\"Application\" AND winlog.event_data.Source:\"Microsoft\\-Windows\\-Audit\\-CVE\")",
                    "analyze_wildcard": true
                  }
                }
              ],
              "filter": {
                "range": {
                  "timestamp": {
                    "gte": "now-30m/m"
                  }
                }
              }
            }
          }
        },
        "indices": [
          "winlogbeat-*"
        ]
      }
    }
  },
  "condition": {
    "compare": {
      "ctx.payload.hits.total": {
        "not_eq": 0
      }
    }
  },
  "actions": {
    "send_email": {
      "email": {
        "to": "root@localhost",
        "subject": "Sigma Rule 'Audit CVE Event'",
        "body": "Hits:\n{{#ctx.payload.hits.hits}}{{_source}}\n================================================================================\n{{/ctx.payload.hits.hits}}",
        "attachments": {
          "data.json": {
            "data": {
              "format": "json"
            }
          }
        }
      }
    }
  }
}
EOF

```


### graylog
    
```
Source:"Microsoft\-Windows\-Audit\-CVE"
```


### splunk
    
```
(source="WinEventLog:Application" Source="Microsoft-Windows-Audit-CVE")
```


### logpoint
    
```
Source="Microsoft-Windows-Audit-CVE"
```


### grep
    
```
grep -P '^Microsoft-Windows-Audit-CVE'
```



