| Title                    | Emotet Process Creation       |
|:-------------------------|:------------------|
| **Description**          | Detects all Emotet like process executions that are not covered by the more generic rules |
| **ATT&amp;CK Tactic**    |   This Detection Rule wasn't mapped to ATT&amp;CK Tactic yet  |
| **ATT&amp;CK Technique** |  This Detection Rule wasn't mapped to ATT&amp;CK Technique yet  |
| **Data Needed**          | <ul><li>[DN_0002_4688_windows_process_creation_with_commandline](../Data_Needed/DN_0002_4688_windows_process_creation_with_commandline.md)</li><li>[DN_0003_1_windows_sysmon_process_creation](../Data_Needed/DN_0003_1_windows_sysmon_process_creation.md)</li></ul>  |
| **Trigger**              |  There is no documented Trigger for this Detection Rule yet  |
| **Severity Level**       | critical |
| **False Positives**      | <ul><li>Unlikely</li></ul>  |
| **Development Status**   | experimental |
| **References**           | <ul><li>[https://app.any.run/tasks/e13ab713-64cf-4b23-ad93-6dceaa5429ac/](https://app.any.run/tasks/e13ab713-64cf-4b23-ad93-6dceaa5429ac/)</li><li>[https://app.any.run/tasks/81f3c28c-c686-425d-8a2b-a98198d244e1/](https://app.any.run/tasks/81f3c28c-c686-425d-8a2b-a98198d244e1/)</li><li>[https://app.any.run/tasks/97f875e8-0e08-4328-815f-055e971ba754/](https://app.any.run/tasks/97f875e8-0e08-4328-815f-055e971ba754/)</li><li>[https://app.any.run/tasks/84fc9b4a-ea2b-47b1-8aa6-9014402dfb56/](https://app.any.run/tasks/84fc9b4a-ea2b-47b1-8aa6-9014402dfb56/)</li></ul>  |
| **Author**               | Florian Roth |


## Detection Rules

### Sigma rule

```
title: Emotet Process Creation
id: d02e8cf5-6099-48cf-9bfc-1eec2d0c7b18
status: experimental
description: Detects all Emotet like process executions that are not covered by the more generic rules
author: Florian Roth
date: 2019/09/30
modified: 2019/10/16
references:
    - https://app.any.run/tasks/e13ab713-64cf-4b23-ad93-6dceaa5429ac/
    - https://app.any.run/tasks/81f3c28c-c686-425d-8a2b-a98198d244e1/
    - https://app.any.run/tasks/97f875e8-0e08-4328-815f-055e971ba754/
    - https://app.any.run/tasks/84fc9b4a-ea2b-47b1-8aa6-9014402dfb56/
logsource:
    category: process_creation
    product: windows
detection:
    selection:
        CommandLine:
            - '* -e* PAA*'
            - '*JABlAG4AdgA6AHUAcwBlAHIAcAByAG8AZgBpAGwAZQ*'  # $env:userprofile
            - '*QAZQBuAHYAOgB1AHMAZQByAHAAcgBvAGYAaQBsAGUA*'  # $env:userprofile
            - '*kAGUAbgB2ADoAdQBzAGUAcgBwAHIAbwBmAGkAbABlA*'  # $env:userprofile
            - '*IgAoACcAKgAnACkAOwAkA*'  # "('*');$
            - '*IAKAAnACoAJwApADsAJA*'  # "('*');$
            - '*iACgAJwAqACcAKQA7ACQA*'  # "('*');$
            - '*JABGAGwAeAByAGgAYwBmAGQ*'
    condition: selection
fields:
    - CommandLine
    - ParentCommandLine
falsepositives:
    - Unlikely
level: critical

```





### powershell
    
```
Get-WinEvent | where {($_.message -match "CommandLine.*.* -e.* PAA.*" -or $_.message -match "CommandLine.*.*JABlAG4AdgA6AHUAcwBlAHIAcAByAG8AZgBpAGwAZQ.*" -or $_.message -match "CommandLine.*.*QAZQBuAHYAOgB1AHMAZQByAHAAcgBvAGYAaQBsAGUA.*" -or $_.message -match "CommandLine.*.*kAGUAbgB2ADoAdQBzAGUAcgBwAHIAbwBmAGkAbABlA.*" -or $_.message -match "CommandLine.*.*IgAoACcAKgAnACkAOwAkA.*" -or $_.message -match "CommandLine.*.*IAKAAnACoAJwApADsAJA.*" -or $_.message -match "CommandLine.*.*iACgAJwAqACcAKQA7ACQA.*" -or $_.message -match "CommandLine.*.*JABGAGwAeAByAGgAYwBmAGQ.*") } | select TimeCreated,Id,RecordId,ProcessId,MachineName,Message
```


### es-qs
    
```
winlog.event_data.CommandLine.keyword:(*\ \-e*\ PAA* OR *JABlAG4AdgA6AHUAcwBlAHIAcAByAG8AZgBpAGwAZQ* OR *QAZQBuAHYAOgB1AHMAZQByAHAAcgBvAGYAaQBsAGUA* OR *kAGUAbgB2ADoAdQBzAGUAcgBwAHIAbwBmAGkAbABlA* OR *IgAoACcAKgAnACkAOwAkA* OR *IAKAAnACoAJwApADsAJA* OR *iACgAJwAqACcAKQA7ACQA* OR *JABGAGwAeAByAGgAYwBmAGQ*)
```


### xpack-watcher
    
```
curl -s -XPUT -H 'Content-Type: application/json' --data-binary @- localhost:9200/_watcher/watch/d02e8cf5-6099-48cf-9bfc-1eec2d0c7b18 <<EOF
{
  "metadata": {
    "title": "Emotet Process Creation",
    "description": "Detects all Emotet like process executions that are not covered by the more generic rules",
    "tags": "",
    "query": "winlog.event_data.CommandLine.keyword:(*\\ \\-e*\\ PAA* OR *JABlAG4AdgA6AHUAcwBlAHIAcAByAG8AZgBpAGwAZQ* OR *QAZQBuAHYAOgB1AHMAZQByAHAAcgBvAGYAaQBsAGUA* OR *kAGUAbgB2ADoAdQBzAGUAcgBwAHIAbwBmAGkAbABlA* OR *IgAoACcAKgAnACkAOwAkA* OR *IAKAAnACoAJwApADsAJA* OR *iACgAJwAqACcAKQA7ACQA* OR *JABGAGwAeAByAGgAYwBmAGQ*)"
  },
  "trigger": {
    "schedule": {
      "interval": "30m"
    }
  },
  "input": {
    "search": {
      "request": {
        "body": {
          "size": 0,
          "query": {
            "bool": {
              "must": [
                {
                  "query_string": {
                    "query": "winlog.event_data.CommandLine.keyword:(*\\ \\-e*\\ PAA* OR *JABlAG4AdgA6AHUAcwBlAHIAcAByAG8AZgBpAGwAZQ* OR *QAZQBuAHYAOgB1AHMAZQByAHAAcgBvAGYAaQBsAGUA* OR *kAGUAbgB2ADoAdQBzAGUAcgBwAHIAbwBmAGkAbABlA* OR *IgAoACcAKgAnACkAOwAkA* OR *IAKAAnACoAJwApADsAJA* OR *iACgAJwAqACcAKQA7ACQA* OR *JABGAGwAeAByAGgAYwBmAGQ*)",
                    "analyze_wildcard": true
                  }
                }
              ],
              "filter": {
                "range": {
                  "timestamp": {
                    "gte": "now-30m/m"
                  }
                }
              }
            }
          }
        },
        "indices": [
          "winlogbeat-*"
        ]
      }
    }
  },
  "condition": {
    "compare": {
      "ctx.payload.hits.total": {
        "not_eq": 0
      }
    }
  },
  "actions": {
    "send_email": {
      "email": {
        "to": "root@localhost",
        "subject": "Sigma Rule 'Emotet Process Creation'",
        "body": "Hits:\n{{#ctx.payload.hits.hits}}Hit on {{_source.@timestamp}}:\n      CommandLine = {{_source.CommandLine}}\nParentCommandLine = {{_source.ParentCommandLine}}================================================================================\n{{/ctx.payload.hits.hits}}",
        "attachments": {
          "data.json": {
            "data": {
              "format": "json"
            }
          }
        }
      }
    }
  }
}
EOF

```


### graylog
    
```
CommandLine.keyword:(* \-e* PAA* *JABlAG4AdgA6AHUAcwBlAHIAcAByAG8AZgBpAGwAZQ* *QAZQBuAHYAOgB1AHMAZQByAHAAcgBvAGYAaQBsAGUA* *kAGUAbgB2ADoAdQBzAGUAcgBwAHIAbwBmAGkAbABlA* *IgAoACcAKgAnACkAOwAkA* *IAKAAnACoAJwApADsAJA* *iACgAJwAqACcAKQA7ACQA* *JABGAGwAeAByAGgAYwBmAGQ*)
```


### splunk
    
```
(CommandLine="* -e* PAA*" OR CommandLine="*JABlAG4AdgA6AHUAcwBlAHIAcAByAG8AZgBpAGwAZQ*" OR CommandLine="*QAZQBuAHYAOgB1AHMAZQByAHAAcgBvAGYAaQBsAGUA*" OR CommandLine="*kAGUAbgB2ADoAdQBzAGUAcgBwAHIAbwBmAGkAbABlA*" OR CommandLine="*IgAoACcAKgAnACkAOwAkA*" OR CommandLine="*IAKAAnACoAJwApADsAJA*" OR CommandLine="*iACgAJwAqACcAKQA7ACQA*" OR CommandLine="*JABGAGwAeAByAGgAYwBmAGQ*") | table CommandLine,ParentCommandLine
```


### logpoint
    
```
CommandLine IN ["* -e* PAA*", "*JABlAG4AdgA6AHUAcwBlAHIAcAByAG8AZgBpAGwAZQ*", "*QAZQBuAHYAOgB1AHMAZQByAHAAcgBvAGYAaQBsAGUA*", "*kAGUAbgB2ADoAdQBzAGUAcgBwAHIAbwBmAGkAbABlA*", "*IgAoACcAKgAnACkAOwAkA*", "*IAKAAnACoAJwApADsAJA*", "*iACgAJwAqACcAKQA7ACQA*", "*JABGAGwAeAByAGgAYwBmAGQ*"]
```


### grep
    
```
grep -P '^(?:.*.* -e.* PAA.*|.*.*JABlAG4AdgA6AHUAcwBlAHIAcAByAG8AZgBpAGwAZQ.*|.*.*QAZQBuAHYAOgB1AHMAZQByAHAAcgBvAGYAaQBsAGUA.*|.*.*kAGUAbgB2ADoAdQBzAGUAcgBwAHIAbwBmAGkAbABlA.*|.*.*IgAoACcAKgAnACkAOwAkA.*|.*.*IAKAAnACoAJwApADsAJA.*|.*.*iACgAJwAqACcAKQA7ACQA.*|.*.*JABGAGwAeAByAGgAYwBmAGQ.*)'
```



