| Title                    | Ryuk Ransomware       |
|:-------------------------|:------------------|
| **Description**          | Detects Ryuk ransomware activity |
| **ATT&amp;CK Tactic**    |   This Detection Rule wasn't mapped to ATT&amp;CK Tactic yet  |
| **ATT&amp;CK Technique** |  This Detection Rule wasn't mapped to ATT&amp;CK Technique yet  |
| **Data Needed**          | <ul><li>[DN_0002_4688_windows_process_creation_with_commandline](../Data_Needed/DN_0002_4688_windows_process_creation_with_commandline.md)</li><li>[DN_0003_1_windows_sysmon_process_creation](../Data_Needed/DN_0003_1_windows_sysmon_process_creation.md)</li></ul>  |
| **Trigger**              |  There is no documented Trigger for this Detection Rule yet  |
| **Severity Level**       | critical |
| **False Positives**      | <ul><li>Unlikely</li></ul>  |
| **Development Status**   | experimental |
| **References**           | <ul><li>[https://app.any.run/tasks/d860402c-3ff4-4c1f-b367-0237da714ed1/](https://app.any.run/tasks/d860402c-3ff4-4c1f-b367-0237da714ed1/)</li></ul>  |
| **Author**               | Florian Roth |


## Detection Rules

### Sigma rule

```
title: Ryuk Ransomware
id: c37510b8-2107-4b78-aa32-72f251e7a844
status: experimental
description: Detects Ryuk ransomware activity
author: Florian Roth
date: 2019/12/16
references:
    - https://app.any.run/tasks/d860402c-3ff4-4c1f-b367-0237da714ed1/
logsource:
    category: process_creation
    product: windows
detection:
    selection:
        CommandLine|contains|all:
            - 'Microsoft\Windows\CurrentVersion\Run'
            - 'C:\users\Public\'
    condition: selection
fields:
    - CommandLine
    - ParentCommandLine
falsepositives:
    - Unlikely
level: critical

```





### powershell
    
```
Get-WinEvent | where {($_.message -match "CommandLine.*.*Microsoft\\Windows\\CurrentVersion\\Run.*" -and $_.message -match "CommandLine.*.*C:\\users\\Public\\.*") } | select TimeCreated,Id,RecordId,ProcessId,MachineName,Message
```


### es-qs
    
```
(winlog.event_data.CommandLine.keyword:*Microsoft\\Windows\\CurrentVersion\\Run* AND winlog.event_data.CommandLine.keyword:*C\:\\users\\Public\*)
```


### xpack-watcher
    
```
curl -s -XPUT -H 'Content-Type: application/json' --data-binary @- localhost:9200/_watcher/watch/c37510b8-2107-4b78-aa32-72f251e7a844 <<EOF
{
  "metadata": {
    "title": "Ryuk Ransomware",
    "description": "Detects Ryuk ransomware activity",
    "tags": "",
    "query": "(winlog.event_data.CommandLine.keyword:*Microsoft\\\\Windows\\\\CurrentVersion\\\\Run* AND winlog.event_data.CommandLine.keyword:*C\\:\\\\users\\\\Public\\*)"
  },
  "trigger": {
    "schedule": {
      "interval": "30m"
    }
  },
  "input": {
    "search": {
      "request": {
        "body": {
          "size": 0,
          "query": {
            "bool": {
              "must": [
                {
                  "query_string": {
                    "query": "(winlog.event_data.CommandLine.keyword:*Microsoft\\\\Windows\\\\CurrentVersion\\\\Run* AND winlog.event_data.CommandLine.keyword:*C\\:\\\\users\\\\Public\\*)",
                    "analyze_wildcard": true
                  }
                }
              ],
              "filter": {
                "range": {
                  "timestamp": {
                    "gte": "now-30m/m"
                  }
                }
              }
            }
          }
        },
        "indices": [
          "winlogbeat-*"
        ]
      }
    }
  },
  "condition": {
    "compare": {
      "ctx.payload.hits.total": {
        "not_eq": 0
      }
    }
  },
  "actions": {
    "send_email": {
      "email": {
        "to": "root@localhost",
        "subject": "Sigma Rule 'Ryuk Ransomware'",
        "body": "Hits:\n{{#ctx.payload.hits.hits}}Hit on {{_source.@timestamp}}:\n      CommandLine = {{_source.CommandLine}}\nParentCommandLine = {{_source.ParentCommandLine}}================================================================================\n{{/ctx.payload.hits.hits}}",
        "attachments": {
          "data.json": {
            "data": {
              "format": "json"
            }
          }
        }
      }
    }
  }
}
EOF

```


### graylog
    
```
(CommandLine.keyword:*Microsoft\\Windows\\CurrentVersion\\Run* AND CommandLine.keyword:*C\:\\users\\Public\*)
```


### splunk
    
```
(CommandLine="*Microsoft\\Windows\\CurrentVersion\\Run*" CommandLine="*C:\\users\\Public\*") | table CommandLine,ParentCommandLine
```


### logpoint
    
```
(CommandLine="*Microsoft\\Windows\\CurrentVersion\\Run*" CommandLine="*C:\\users\\Public\*")
```


### grep
    
```
grep -P '^(?:.*(?=.*.*Microsoft\Windows\CurrentVersion\Run.*)(?=.*.*C:\users\Public\.*))'
```



