| Title                    | WannaCry Ransomware       |
|:-------------------------|:------------------|
| **Description**          | Detects WannaCry ransomware activity |
| **ATT&amp;CK Tactic**    |   This Detection Rule wasn't mapped to ATT&amp;CK Tactic yet  |
| **ATT&amp;CK Technique** |  This Detection Rule wasn't mapped to ATT&amp;CK Technique yet  |
| **Data Needed**          | <ul><li>[DN_0002_4688_windows_process_creation_with_commandline](../Data_Needed/DN_0002_4688_windows_process_creation_with_commandline.md)</li><li>[DN_0003_1_windows_sysmon_process_creation](../Data_Needed/DN_0003_1_windows_sysmon_process_creation.md)</li></ul>  |
| **Trigger**              |  There is no documented Trigger for this Detection Rule yet  |
| **Severity Level**       | critical |
| **False Positives**      | <ul><li>Diskpart.exe usage to manage partitions on the local hard drive</li></ul>  |
| **Development Status**   | experimental |
| **References**           | <ul><li>[https://www.hybrid-analysis.com/sample/ed01ebfbc9eb5bbea545af4d01bf5f1071661840480439c6e5babe8e080e41aa?environmentId=100](https://www.hybrid-analysis.com/sample/ed01ebfbc9eb5bbea545af4d01bf5f1071661840480439c6e5babe8e080e41aa?environmentId=100)</li></ul>  |
| **Author**               | Florian Roth (rule), Tom U. @c_APT_ure (collection) |


## Detection Rules

### Sigma rule

```
title: WannaCry Ransomware
id: 41d40bff-377a-43e2-8e1b-2e543069e079
status: experimental
description: Detects WannaCry ransomware activity
references:
    - https://www.hybrid-analysis.com/sample/ed01ebfbc9eb5bbea545af4d01bf5f1071661840480439c6e5babe8e080e41aa?environmentId=100
author: Florian Roth (rule), Tom U. @c_APT_ure (collection)
date: 2019/01/16
logsource:
    category: process_creation
    product: windows
detection:
    selection1:
        Image:
            - '*\tasksche.exe'
            - '*\mssecsvc.exe'
            - '*\taskdl.exe'
            - '*\@WanaDecryptor@*'
            - '*\WanaDecryptor*'
            - '*\taskhsvc.exe'
            - '*\taskse.exe'
            - '*\111.exe'
            - '*\lhdfrgui.exe'
            - '*\diskpart.exe'
            - '*\linuxnew.exe'
            - '*\wannacry.exe'
    selection2:
        CommandLine:
            - '*icacls * /grant Everyone:F /T /C /Q*'
            - '*bcdedit /set {default} recoveryenabled no*'
            - '*wbadmin delete catalog -quiet*'
            - '*@Please_Read_Me@.txt*'
    condition: 1 of them
fields:
    - CommandLine
    - ParentCommandLine
falsepositives:
    - Diskpart.exe usage to manage partitions on the local hard drive
level: critical

```





### powershell
    
```
Get-WinEvent | where {(($_.message -match "Image.*.*\\tasksche.exe" -or $_.message -match "Image.*.*\\mssecsvc.exe" -or $_.message -match "Image.*.*\\taskdl.exe" -or $_.message -match "Image.*.*\\@WanaDecryptor@.*" -or $_.message -match "Image.*.*\\WanaDecryptor.*" -or $_.message -match "Image.*.*\\taskhsvc.exe" -or $_.message -match "Image.*.*\\taskse.exe" -or $_.message -match "Image.*.*\\111.exe" -or $_.message -match "Image.*.*\\lhdfrgui.exe" -or $_.message -match "Image.*.*\\diskpart.exe" -or $_.message -match "Image.*.*\\linuxnew.exe" -or $_.message -match "Image.*.*\\wannacry.exe") -or ($_.message -match "CommandLine.*.*icacls .* /grant Everyone:F /T /C /Q.*" -or $_.message -match "CommandLine.*.*bcdedit /set {default} recoveryenabled no.*" -or $_.message -match "CommandLine.*.*wbadmin delete catalog -quiet.*" -or $_.message -match "CommandLine.*.*@Please_Read_Me@.txt.*")) } | select TimeCreated,Id,RecordId,ProcessId,MachineName,Message
```


### es-qs
    
```
(winlog.event_data.Image.keyword:(*\\tasksche.exe OR *\\mssecsvc.exe OR *\\taskdl.exe OR *\\@WanaDecryptor@* OR *\\WanaDecryptor* OR *\\taskhsvc.exe OR *\\taskse.exe OR *\\111.exe OR *\\lhdfrgui.exe OR *\\diskpart.exe OR *\\linuxnew.exe OR *\\wannacry.exe) OR winlog.event_data.CommandLine.keyword:(*icacls\ *\ \/grant\ Everyone\:F\ \/T\ \/C\ \/Q* OR *bcdedit\ \/set\ \{default\}\ recoveryenabled\ no* OR *wbadmin\ delete\ catalog\ \-quiet* OR *@Please_Read_Me@.txt*))
```


### xpack-watcher
    
```
curl -s -XPUT -H 'Content-Type: application/json' --data-binary @- localhost:9200/_watcher/watch/41d40bff-377a-43e2-8e1b-2e543069e079 <<EOF
{
  "metadata": {
    "title": "WannaCry Ransomware",
    "description": "Detects WannaCry ransomware activity",
    "tags": "",
    "query": "(winlog.event_data.Image.keyword:(*\\\\tasksche.exe OR *\\\\mssecsvc.exe OR *\\\\taskdl.exe OR *\\\\@WanaDecryptor@* OR *\\\\WanaDecryptor* OR *\\\\taskhsvc.exe OR *\\\\taskse.exe OR *\\\\111.exe OR *\\\\lhdfrgui.exe OR *\\\\diskpart.exe OR *\\\\linuxnew.exe OR *\\\\wannacry.exe) OR winlog.event_data.CommandLine.keyword:(*icacls\\ *\\ \\/grant\\ Everyone\\:F\\ \\/T\\ \\/C\\ \\/Q* OR *bcdedit\\ \\/set\\ \\{default\\}\\ recoveryenabled\\ no* OR *wbadmin\\ delete\\ catalog\\ \\-quiet* OR *@Please_Read_Me@.txt*))"
  },
  "trigger": {
    "schedule": {
      "interval": "30m"
    }
  },
  "input": {
    "search": {
      "request": {
        "body": {
          "size": 0,
          "query": {
            "bool": {
              "must": [
                {
                  "query_string": {
                    "query": "(winlog.event_data.Image.keyword:(*\\\\tasksche.exe OR *\\\\mssecsvc.exe OR *\\\\taskdl.exe OR *\\\\@WanaDecryptor@* OR *\\\\WanaDecryptor* OR *\\\\taskhsvc.exe OR *\\\\taskse.exe OR *\\\\111.exe OR *\\\\lhdfrgui.exe OR *\\\\diskpart.exe OR *\\\\linuxnew.exe OR *\\\\wannacry.exe) OR winlog.event_data.CommandLine.keyword:(*icacls\\ *\\ \\/grant\\ Everyone\\:F\\ \\/T\\ \\/C\\ \\/Q* OR *bcdedit\\ \\/set\\ \\{default\\}\\ recoveryenabled\\ no* OR *wbadmin\\ delete\\ catalog\\ \\-quiet* OR *@Please_Read_Me@.txt*))",
                    "analyze_wildcard": true
                  }
                }
              ],
              "filter": {
                "range": {
                  "timestamp": {
                    "gte": "now-30m/m"
                  }
                }
              }
            }
          }
        },
        "indices": [
          "winlogbeat-*"
        ]
      }
    }
  },
  "condition": {
    "compare": {
      "ctx.payload.hits.total": {
        "not_eq": 0
      }
    }
  },
  "actions": {
    "send_email": {
      "email": {
        "to": "root@localhost",
        "subject": "Sigma Rule 'WannaCry Ransomware'",
        "body": "Hits:\n{{#ctx.payload.hits.hits}}Hit on {{_source.@timestamp}}:\n      CommandLine = {{_source.CommandLine}}\nParentCommandLine = {{_source.ParentCommandLine}}================================================================================\n{{/ctx.payload.hits.hits}}",
        "attachments": {
          "data.json": {
            "data": {
              "format": "json"
            }
          }
        }
      }
    }
  }
}
EOF

```


### graylog
    
```
(Image.keyword:(*\\tasksche.exe *\\mssecsvc.exe *\\taskdl.exe *\\@WanaDecryptor@* *\\WanaDecryptor* *\\taskhsvc.exe *\\taskse.exe *\\111.exe *\\lhdfrgui.exe *\\diskpart.exe *\\linuxnew.exe *\\wannacry.exe) OR CommandLine.keyword:(*icacls * \/grant Everyone\:F \/T \/C \/Q* *bcdedit \/set \{default\} recoveryenabled no* *wbadmin delete catalog \-quiet* *@Please_Read_Me@.txt*))
```


### splunk
    
```
((Image="*\\tasksche.exe" OR Image="*\\mssecsvc.exe" OR Image="*\\taskdl.exe" OR Image="*\\@WanaDecryptor@*" OR Image="*\\WanaDecryptor*" OR Image="*\\taskhsvc.exe" OR Image="*\\taskse.exe" OR Image="*\\111.exe" OR Image="*\\lhdfrgui.exe" OR Image="*\\diskpart.exe" OR Image="*\\linuxnew.exe" OR Image="*\\wannacry.exe") OR (CommandLine="*icacls * /grant Everyone:F /T /C /Q*" OR CommandLine="*bcdedit /set {default} recoveryenabled no*" OR CommandLine="*wbadmin delete catalog -quiet*" OR CommandLine="*@Please_Read_Me@.txt*")) | table CommandLine,ParentCommandLine
```


### logpoint
    
```
(Image IN ["*\\tasksche.exe", "*\\mssecsvc.exe", "*\\taskdl.exe", "*\\@WanaDecryptor@*", "*\\WanaDecryptor*", "*\\taskhsvc.exe", "*\\taskse.exe", "*\\111.exe", "*\\lhdfrgui.exe", "*\\diskpart.exe", "*\\linuxnew.exe", "*\\wannacry.exe"] OR CommandLine IN ["*icacls * /grant Everyone:F /T /C /Q*", "*bcdedit /set {default} recoveryenabled no*", "*wbadmin delete catalog -quiet*", "*@Please_Read_Me@.txt*"])
```


### grep
    
```
grep -P '^(?:.*(?:.*(?:.*.*\tasksche\.exe|.*.*\mssecsvc\.exe|.*.*\taskdl\.exe|.*.*\@WanaDecryptor@.*|.*.*\WanaDecryptor.*|.*.*\taskhsvc\.exe|.*.*\taskse\.exe|.*.*\111\.exe|.*.*\lhdfrgui\.exe|.*.*\diskpart\.exe|.*.*\linuxnew\.exe|.*.*\wannacry\.exe)|.*(?:.*.*icacls .* /grant Everyone:F /T /C /Q.*|.*.*bcdedit /set \{default\} recoveryenabled no.*|.*.*wbadmin delete catalog -quiet.*|.*.*@Please_Read_Me@\.txt.*)))'
```



