| Title               | MS_0001_microsoft_defender_advanced_threat_protection                                                                     |
|:--------------------|:--------------------------------------------------------------------------------|
| **Platform**        | <ul><li>Windows</li></ul>              |
| **Minimum Version** | <ul><li>Windows 10</li><li>Windows Server 2016</li></ul> |
| **References**      | <ul><li>[https://docs.microsoft.com/en-us/windows/security/threat-protection/](https://docs.microsoft.com/en-us/windows/security/threat-protection/)</li><li>[https://attackevals.mitre.org/microsoft.1.apt3.1_configuration](https://attackevals.mitre.org/microsoft.1.apt3.1_configuration)</li><li>[https://docs.microsoft.com/en-us/windows/security/threat-protection/microsoft-defender-atp/microsoft-defender-advanced-threat-protection](https://docs.microsoft.com/en-us/windows/security/threat-protection/microsoft-defender-atp/microsoft-defender-advanced-threat-protection)</li></ul> |

## Description

Microsoft Defender Advanced Threat Protection (ATP) is a unified platform for preventative protection, post-breach detection, automated investigation, and response. 
Microsoft Defender ATP protects endpoints from cyber threats; detects advanced attacks and data breaches, automates security incidents and improves security posture.
The platform includes: 

- Attack Surface Reduction (ASR): This capability resist attacks and exploitations (integrating and expanding EMET capabilities into Windows)
- Threat & Vulnerability Management: This capability uses risk-based approach to the discovery, prioritization, and remediation of endpoint vulnerabilities and misconfigurations
- Windows Defender Antivirus (WD AV) so called "Next generation protection": a built-in antimalware solution that provides next generation protection for desktops, portable computers, and servers
- Endpoint detection and response: Endpoint detection and response capabilities are put in place to detect, investigate, and respond to advanced threats that may have made it past the first two security pillars
- Automated investigation and remediation: In conjunction with being able to quickly respond to advanced attacks, Microsoft Defender ATP offers automatic investigation and remediation capabilities that help reduce the volume of alerts in minutes at scale
- Secure score: This capability helps to dynamically assess the security state of enterprise network, identify unprotected systems, and take recommended actions to improve the overall security of an organization
- Microsoft Threat Experts: Microsoft Defender ATP's new managed threat hunting service provides proactive hunting, prioritization and additional context and insights that further empower Security Operation Centers (SOCs) to identify and respond to threats quickly and accurately
- Management and APIs: This capability helps to integrate Microsoft Defender Advanced Threat Protection into existing workflows
